namespace SafeCampus.Application.Services.Business.CameraGroupService;

public interface ICameraGroupService :ITransient
{
    /// <summary>
    /// 添加分组
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Add(CameraGroupAddInput input);
    /// <summary>
    /// 修改分组
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Update(CameraGroupInput input);
    /// <summary>
    /// 删除分组
    /// </summary>
    /// <param name="id">id</param>
    /// <returns></returns>
    Task<bool> Delete(long id);
    /// <summary>
    /// 获取分组列表
    /// </summary>
    /// <returns></returns>
    Task<List<CameraGroup>> GetNoPageList();
    /// <summary>
    /// 获取大屏设备数据列表
    /// </summary>
    /// <returns></returns>
    Task<List<CameraGroup>> GetBIList();
}